Name:           mediawiki119-ConfirmEdit
Version:        0
Release:        0.1.20120509git%{?dist}
Summary:        Adds captchas when saving an edit

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.mediawiki.org/wiki/Extension:ConfirmEdit
# From https://gerrit.wikimedia.org/r/p/mediawiki/extensions/ConfirmEdit.git
Source0:        ConfirmEdit-20120509git.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       mediawiki119

%description
The ConfirmEdit extension enables a simple text Captcha that will
probably catch most bots. It was designed largely by Brion Vibber. The
FancyCaptcha and reCAPTCHA addons create more complex image captchas.

Captchas are a way of combating automated edits, helping to ensure that
wiki edits are being made by real humans rather than bots. This can be
particularly useful for reducing the problem of wiki spam, but captchas
reduce accessibility and cause inconvenience to human users. In
addition, it will not completely spam-proof your wiki (nor will it
protect it from human spammers). You may wish to use this in conjunction
with other anti-spam features. Remember to clean up any spam which might
slip through the net (keep an eye on your 'recent changes'
page). Captcha's can also be used to foil automated login attempts that
try to guess passwords.


%prep
%setup -q -n ConfirmEdit

cat > README.fedora <<'EOF'
To complete installation of %{name}, add the
following line to LocalSettings.php:

  require_once("$IP/extensions/ConfirmEdit/ConfirmEdit.php");

for each MediaWiki instance you wish to install %{name} on.
For information about how to use this plugin, see its website:

  %{url}
EOF

%build


%install
rm -rf %{buildroot}
install -d %{buildroot}%{_datadir}/mediawiki119/extensions/ConfirmEdit
install -pm 644 *.php *.py *js %{buildroot}%{_datadir}/mediawiki119/extensions/ConfirmEdit/

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.fedora README
%{_datadir}/mediawiki119/extensions/ConfirmEdit

%changelog
* Wed May  9 2012 Stephen Smoogen <ssmoogen@ponyo.int.smoogespace.com> - 0-0.1.20120509git36fb0d73
- Update to new git trees.

* Fri Jun 10 2011 Ricky Zhou <ricky@fedoraproject.org> - 0-0.1.20110610svn62678
- Update to latest upstream version.

* Mon Jun 15 2009 Ian Weller <ian@ianweller.org> - 45409-1
- Initial package build
